<ng-container *ngIf="users$ | async; let users; else loader">
  <table mat-table [dataSource]="users" class="users-table">
    <ng-container matColumnDef="lastName">
      <th mat-header-cell *matHeaderCellDef> {{ 'last_name' | transloco }} </th>
      <td mat-cell *matCellDef="let user"> {{user.lastName}} </td>
    </ng-container>

    <ng-container matColumnDef="firstName">
      <th mat-header-cell *matHeaderCellDef> {{ 'first_name' | transloco }} </th>
      <td mat-cell *matCellDef="let user"> {{user.firstName}} </td>
    </ng-container>

    <ng-container matColumnDef="patronymic">
      <th mat-header-cell *matHeaderCellDef> {{ 'patronymic' | transloco }} </th>
      <td mat-cell *matCellDef="let user"> {{user.patronymic}} </td>
    </ng-container>

    <ng-container matColumnDef="role">
      <th mat-header-cell *matHeaderCellDef> {{ 'role' | transloco }} </th>
      <td mat-cell *matCellDef="let user"> {{user.role.name | uppercase}} </td>
    </ng-container>

    <ng-container matColumnDef="account">
      <th mat-header-cell *matHeaderCellDef> {{ 'account' | transloco }} </th>
      <td mat-cell *matCellDef="let user">
        <a (click)="onUserSelected(user)">
          {{ 'see_detailed_info' | transloco }}
        </a>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let row; columns: columnsToDisplay;"></tr>
  </table>
</ng-container>

<mat-paginator *ngIf="usersTotalCount$ | async; let usersTotalCount"
               [length]="usersTotalCount"
               [pageSize]="10"
               [pageSizeOptions]="[5, 10, 25, 100]"
               (page)="onPageSelected($event)">
</mat-paginator>

<ng-template #loader>
  <app-loader></app-loader>
</ng-template>
